6.0.0-git
2019-07-19

[#14838] non-ASCII character recipients search broke IMP search
Summary non-ASCII character recipients search broke IMP search
Queue IMP
Queue Version 6.2.22
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2018-07-19 (365 days ago)
Due
Updated 2019-05-28 (52 days ago)
Assigned 2018-08-05 (348 days ago)
Resolved 2019-05-28 (52 days ago)
Milestone
Patch No

History
2019-05-28 19:24:20 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 8bb153cf082073d73a660bda3b323645b88aa1cb
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue, 28 May 2019 15:23:41 -0400

[mjr] Fix errors on initial quick search breaking subsequent searches 
(Bug #14838).

  M doc/changelog.yml

https://github.com/horde/imp/commit/8bb153cf082073d73a660bda3b323645b88aa1cb
2019-05-28 19:21:59 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit cd35b17982d86c02dd01fc2d7266f02633acd239
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue, 28 May 2019 15:13:29 -0400

[mjr] Fix errors on initial quick search breaking subsequent searches 
(Bug #14838).

  M docs/CHANGES
  M package.xml

https://github.com/horde/imp/commit/cd35b17982d86c02dd01fc2d7266f02633acd239
2019-05-28 19:21:58 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 5ad4361413f031df427c8331f03144df8efee892
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue, 28 May 2019 15:13:29 -0400

[mjr] Fix errors on initial quick search breaking subsequent searches 
(Bug #14838).

  M docs/changelog.yml

https://github.com/horde/imp/commit/5ad4361413f031df427c8331f03144df8efee892
2019-05-28 19:09:40 Michael Rubinsky Comment #9
State ⇒ Resolved
Reply to this comment
Finally fixed. :)

This has got to be the largest ($time/$lines_of_changed_code) ratio of 
any bug I've fixed yet....
2019-05-28 19:05:23 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit dec1f80facc728b35348b1b637f7dc2379fe8827
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue, 28 May 2019 15:05:17 -0400

Bug: 14838 Fix errors on initial quick search breaking subsequent searches.

If the error occurs on the first search, the search buffer is never
setup correctly, despite the fact we are still viewing the search
results.  Include the 'search' parameter in the viewport metadata
returned by the error object to indicate it's a search request.

  M lib/Ajax/Application/Viewport/Error.php

https://github.com/horde/imp/commit/dec1f80facc728b35348b1b637f7dc2379fe8827
2019-05-28 19:04:35 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 078bd29636b68cbbc72a6d149d0ec08a05247e94
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue, 28 May 2019 15:04:28 -0400

Bug: 14838 Fix errors on initial quick search breaking subsequent searches.

If the error occurs on the first search, the search buffer is never
setup correctly, despite the fact we are still viewing the search
results.  Include the 'search' parameter in the viewport metadata
returned by the error object to indicate it's a search request.

  M lib/Ajax/Application/Viewport/Error.php

https://github.com/horde/imp/commit/078bd29636b68cbbc72a6d149d0ec08a05247e94
2019-05-08 16:41:29 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
Reply to this comment
Is there any workaround for this issue?
Sadly, not yet.  I need to dig deeper into this when I find the time.
2019-05-08 15:23:16 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #5 Reply to this comment
Is there any workaround for this issue?
2018-08-05 18:02:37 Michael Rubinsky Comment #4
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Huh. Very interesting.

Reproducible now, non ascii must be the first search of the session.
2018-08-03 14:39:36 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #3 Reply to this comment
Cannot reproduce this.
Don't work:
* Login into Horde/IMP
* Search (Recipients (To/Cc/Bcc))
* search string ä
* Error message: "String contains non-ASCII characters."
--> From now the search is broken.

Work:
* Login into Horde/IMP
* Search (Recipients (To/Cc/Bcc))
* search string "root"
* search result (do not leave the search)
* search string ä
* Error message: "String contains non-ASCII characters."
* search string (again) "root"
--> work as expected!

Look like there is only a problem if the first search string contains 
non-ASCII characters.

Firefox 61.0.1 (64-Bit)
Chromium 68.0.3440.75 (64-Bit)

2018-07-29 16:35:42 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce this.

I get the initial error, but subsequent reloads/searches - even 
without reloading - work fine.
2018-07-19 15:29:33 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ non-ASCII character recipients search broke IMP search
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Steps to reproduce:
* Search (Recipients (To/Cc/Bcc))
* search string ä
* Error message: "String contains non-ASCII characters."

From now the search is broken.
Press F5 show in the folder list "Loading..."

To solve this issue, delete the complete URL (except of the horde base 
url) and press return.

Saved Queries